summaryrefslogtreecommitdiffstats
path: root/mkvtoolnix/build
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2016-07-03 20:47:41 +0000
committer Eric Hameleers <alien@slackware.com>2016-07-03 20:47:41 +0000
commitbc355d8b333b09912174c27111166c7bf40d1845 (patch)
tree4fc4ed75835e9b508250df9a1524ce61a4383422 /mkvtoolnix/build
parent9ad0363b2a0f46d28e954a03b2364377c053e1bd (diff)
downloadasb-bc355d8b333b09912174c27111166c7bf40d1845.tar.gz
asb-bc355d8b333b09912174c27111166c7bf40d1845.tar.xz
mkvtoolnix: updated to 8.9.0.
Diffstat (limited to 'mkvtoolnix/build')
-rwxr-xr-xmkvtoolnix/build/mkvtoolnix.SlackBuild15
1 files changed, 7 insertions, 8 deletions
diff --git a/mkvtoolnix/build/mkvtoolnix.SlackBuild b/mkvtoolnix/build/mkvtoolnix.SlackBuild
index 896c58e5..b33b4839 100755
--- a/mkvtoolnix/build/mkvtoolnix.SlackBuild
+++ b/mkvtoolnix/build/mkvtoolnix.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2009, 2011, 2015 Eric Hameleers, Eindhoven, NL
+# Copyright 2009, 2011, 2015, 2016 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -45,7 +45,9 @@
# * Update for Slackware 14.1. Qt5 is a new dependency for the
# Qt GUI of mkvinfo and mkvtoolnix-gui.
# 7.9.0-1: 07/jun/2015 by Eric Hameleers <alien@slackware.com>
-# * Update for Slackware 14.2 (current).
+# * Update for Slackware current (pre-14.2).
+# 8.9.0-1: 03/jul/2016 by Eric Hameleers <alien@slackware.com>
+# * Update for Slackware 14.2.
#
# Run 'sh mkvtoolnix.SlackBuild' to build a Slackware package.
# The package (.txz) and .txt file as well as build logs are created in /tmp .
@@ -56,7 +58,7 @@
# Set initial variables:
PRGNAM=mkvtoolnix
-VERSION=${VERSION:-7.9.0}
+VERSION=${VERSION:-8.9.0}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
TAG=${TAG:-alien}
@@ -133,7 +135,7 @@ if ! [ -f ${SOURCE} ]; then
if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL}" == "x" ]; then
echo "Will download file to $(dirname $SOURCE)"
- wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ wget --no-check-certificate -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
@@ -163,12 +165,9 @@ cd ${PRGNAM}-${VERSION}
chown -R root:root .
chmod -R u+w,go+r-w,a+X-s .
-# Add CXXFLAGS parameter to compile against boost 1.58, see
-# https://github.com/mbunkus/mkvtoolnix/issues/1172
-# Fixed in nextr release.
echo Building ...
LDFLAGS="$SLKLDFLAGS" \
-CXXFLAGS="$SLKCFLAGS -DBOOST_CODECVT_DO_LENGTH_CONST=const" \
+CXXFLAGS="$SLKCFLAGS" \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \